package com.upyuns.platform.rs.website.job;

import com.upyuns.platform.rs.website.biz.OrderInfoBiz;
import com.upyuns.platform.rs.website.entity.OrderInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import java.util.List;

import static com.upyuns.platform.rs.website.entity.OrderInfo.SENDTYPE_OL;
import static com.upyuns.platform.rs.website.type.OrderStatusEnum.ORDER_PAID;

@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling   // 2.开启定时任务
@Slf4j
public class WebsiteScheduleTask {

    @Autowired
    OrderInfoBiz orderInfoBiz;

    //3.添加定时任务
    @Scheduled(cron = "0/5 * * * * ?")
    //或直接指定时间间隔，例如：5秒
    //@Scheduled(fixedRate=5000)
    public void configureTasks() {
        //查询是否有线上并且代发货的订单
        //log.info("执行静态定时任务时间: " + LocalDateTime.now());
        List<OrderInfo> list = orderInfoBiz.selectByWeekend(w -> {
            w.andEqualTo(OrderInfo::getStatus, ORDER_PAID.getType());
            w.andEqualTo(OrderInfo::getSendType, SENDTYPE_OL);
            return w;
        });

//        list.forEach(orderInfo -> {
//            if(orderInfo.getType().)
//        });
    }
}